Main Page Widgets glibmm Namespaces Book

# spawn.h File Reference

## Namespaces
namespace | Glib
## Classes
class | Glib::SpawnError
| Exception class for errors occuring when spawning processes. More...
## Typedefs
typedef GPid | Glib::Pid
## Enumerations
enum | Glib::SpawnFlags { Glib::SPAWN_LEAVE_DESCRIPTORS_OPEN = 1 << 0, Glib::SPAWN_DO_NOT_REAP_CHILD = 1 << 1, Glib::SPAWN_SEARCH_PATH = 1 << 2, Glib::SPAWN_STDOUT_TO_DEV_NULL = 1 << 3, Glib::SPAWN_STDERR_TO_DEV_NULL = 1 << 4, Glib::SPAWN_CHILD_INHERITS_STDIN = 1 << 5, Glib::SPAWN_FILE_AND_ARGV_ZERO = 1 << 6 }
| Bitwise operators: `SpawnFlags operator|(SpawnFlags, SpawnFlags)` `SpawnFlags operator&(SpawnFlags, SpawnFlags)` `SpawnFlags operator^(SpawnFlags, SpawnFlags)` `SpawnFlags operator~(SpawnFlags)` `SpawnFlags& operator|=(SpawnFlags&, SpawnFlags)` `SpawnFlags& operator&=(SpawnFlags&, SpawnFlags)` `SpawnFlags& operator^=(SpawnFlags&, SpawnFlags)` More...
## Functions
SpawnFlags | Glib::operator| (SpawnFlags lhs, SpawnFlags rhs)
SpawnFlags | Glib::operator& (SpawnFlags lhs, SpawnFlags rhs)
SpawnFlags | Glib::operator^ (SpawnFlags lhs, SpawnFlags rhs)
SpawnFlags | Glib::operator~ (SpawnFlags flags)
SpawnFlags& | Glib::operator|= (SpawnFlags& lhs, SpawnFlags rhs)
SpawnFlags& | Glib::operator&= (SpawnFlags& lhs, SpawnFlags rhs)
SpawnFlags& | Glib::operator^= (SpawnFlags& lhs, SpawnFlags rhs)
void | Glib::spawn_async_with_pipes (const std::string& working_directory, const Glib::ArrayHandle<std::string>& argv, const Glib::ArrayHandle<std::string>& envp, SpawnFlags flags=SpawnFlags(0), const sigc::slot<void>& child_setup=sigc::slot<void>(), Pid* child_pid=0, int* standard_input=0, int* standard_output=0, int* standard_error=0)
void | Glib::spawn_async_with_pipes (const std::string& working_directory, const Glib::ArrayHandle<std::string>& argv, SpawnFlags flags=SpawnFlags(0), const sigc::slot<void>& child_setup=sigc::slot<void>(), Pid* child_pid=0, int* standard_input=0, int* standard_output=0, int* standard_error=0)
void | Glib::spawn_async (const std::string& working_directory, const Glib::ArrayHandle<std::string>& argv, const Glib::ArrayHandle<std::string>& envp, SpawnFlags flags=SpawnFlags(0), const sigc::slot<void>& child_setup=sigc::slot<void>(), Pid* child_pid=0)
void | Glib::spawn_async (const std::string& working_directory, const Glib::ArrayHandle<std::string>& argv, SpawnFlags flags=SpawnFlags(0), const sigc::slot<void>& child_setup=sigc::slot<void>(), Pid* child_pid=0)
void | Glib::spawn_sync (const std::string& working_directory, const Glib::ArrayHandle<std::string>& argv, const Glib::ArrayHandle<std::string>& envp, SpawnFlags flags=SpawnFlags(0), const sigc::slot<void>& child_setup=sigc::slot<void>(), std::string* standard_output=0, std::string* standard_error=0, int* exit_status=0)
void | Glib::spawn_sync (const std::string& working_directory, const Glib::ArrayHandle<std::string>& argv, SpawnFlags flags=SpawnFlags(0), const sigc::slot<void>& child_setup=sigc::slot<void>(), std::string* standard_output=0, std::string* standard_error=0, int* exit_status=0)
void | Glib::spawn_command_line_async (const std::string& command_line)
void | Glib::spawn_command_line_sync (const std::string& command_line, std::string* standard_output=0, std::string* standard_error=0, int* exit_status=0)
void | Glib::spawn_close_pid (Pid pid)